package com.tuoheng.admin.enums.code.inspectionfilehandle;

/**
 *  查询任务问题处理返回码
 *      模块代码：25（问题管理）
 *      接口代码：04 （查询任务问题处理）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-06
 */
public enum QueryInspectionFileHandleByInspectionFileIdCodeEnum {

    QUERY_IS_FAILED(1250400, "查询任务问题处理结果失败"),
    INSPECTION_FILE_ID_IS_NULL(1250401, "任务问题id为空"),
    INSPECTION_FILE_IS_NOT_EXIST(1250402, "任务问题不存在");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    QueryInspectionFileHandleByInspectionFileIdCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
